summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorandalenavals2019-03-07 22:55:27 -0300
committerandalenavals2019-03-07 22:55:27 -0300
commitca13b5886e886f65a1197b05f9939ff8274776d1 (patch)
tree37b62ba51a30a7f3b97061e4d71919bf797198cd
downloadaur-ca13b5886e886f65a1197b05f9939ff8274776d1.tar.gz
LSSTDESC Coord
-rw-r--r--.SRCINFO25
-rwxr-xr-xPKGBUILD57
2 files changed, 82 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..48762555408
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = python-coord-git
+ pkgdesc = Coord is a Python module that provides basic functionality related to angles and celestial coordinatesw
+ pkgver = v1.0.4.r15.328e54c
+ pkgrel = 1
+ url = https://github.com/LSSTDESC/Coord.git
+ arch = any
+ license = BSD
+ makedepends = git
+ makedepends = python
+ makedepends = python-cffi
+ makedepends = python-numpy
+ makedepends = python-future
+ makedepends = python2
+ makedepends = python2-cffi
+ makedepends = python2-numpy
+ makedepends = python2-future
+ source = python-coord-git::git+https://github.com/LSSTDESC/Coord.git
+ md5sums = SKIP
+
+pkgname = python-coord-git
+ depends = glibc
+
+pkgname = python2-coord-git
+ depends = glibc
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..fa8ffdc13ff
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,57 @@
+# This is an example PKGBUILD file. Use this as a start to creating your own,
+# and remove these comments. For more information, see 'man PKGBUILD'.
+# NOTE: Please fill out the license field for your package! If it is unknown,
+# then please put 'unknown'.
+
+# Maintainer: Andres Alejandro Navarro Alsina <aanavarroa@unal.edu.co>
+# Contributor: M. Jarvis
+pkgbase=python-coord-git
+pkgname=('python-coord-git' 'python2-coord-git')
+pkgver=v1.0.4.r15.328e54c
+pkgrel=1
+pkgdesc=" Coord is a Python module that provides basic functionality related to angles and celestial coordinatesw"
+arch=('any')
+url="https://github.com/LSSTDESC/Coord.git"
+license=('BSD')
+makedepends=('git' 'python' 'python-cffi' 'python-numpy' 'python-future' 'python2' 'python2-cffi' 'python2-numpy' 'python2-future' )
+source=("${pkgbase}::git+${url}")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${pkgbase}"
+ printf "%s" "$(git describe --long --tags | sed 's/\([^-]*-\)g/r\1/;s/-/./g')"
+}
+
+prepare() {
+ cp -a $pkgbase{,-py2}
+}
+
+build() {
+ cd "$srcdir"/$pkgbase
+ python setup.py build
+
+ cd "$srcdir"/$pkgbase-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/$pkgbase/tests
+ nosetests -v || warning 'Tests failed'
+
+ cd "$srcdir"/$pkgbase-py2/tests
+ nosetests2 -v || warning 'Tests failed'
+}
+
+package_python-coord-git() {
+ depends=('glibc' )
+ cd $pkgbase
+ python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-coord-git() {
+ depends=('glibc' )
+ cd $pkgbase-py2
+ python2 setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+} \ No newline at end of file